* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --color-0: #23252B;
  --color-25: #464B59;
  --color-50: #54779C;
  --color-75: #7DB1D1;
  --color-100: #DAEEF5;
  
  --color-30: #5D6373;
  --color-35: #676C7A;
  --color-90: #D0D8DB;
}

body {
  background: var(--color-0);
  padding: 32px;
  font-family: "Courier New", monospace;
  font-size: 11px;
  color: var(--color-100);
  line-height: 1.2;
}

.dither {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 35%;
  background-image: url('https://erosaints.neocities.org/images/dither.png');
  mask-image: linear-gradient(to bottom, rgba(0,0,0,1), rgba(0,0,0,0));
  opacity: 0.15;
  margin-bottom: -100vh;
  z-index: -4;
}

.container {
  max-width: 640px;
  margin: auto;
  display: flex;
  flex-direction: column;
  padding: 10px;
  position: relative;
}

a {
  color: var(--color-75);
  text-decoration: none;
}

a:hover {
  color: var(--color-100);
}

b {
  font-family: Monospace;
}

.directory {
  display: flex;
  column-gap: 10px;
  margin-bottom: 8px;
  align-items: center;
}

.direct1 {
  display: flex;
  flex-grow: 1;
  gap: 4px;
  align-items: center;
  color: var(--color-30);
}

.direct2 {
  display: flex;
  gap: 4px;
  align-items: center;
  color: var(--color-30);
}

.direct1::after {
  content: "";
  flex-grow: 1;
  border-top: 1px solid var(--color-30);
}

.header {
  position: relative;
  overflow: hidden;
  padding: 30px 10px 30px;
  image-rendering: pixelated;
  background: linear-gradient(4deg,rgba(70, 75, 89, 1) 0%, rgba(70, 75, 89, 0.65) 20%, rgba(70, 75, 89, 0.3) 40%, rgba(123, 136, 150, 0.07) 100%),  url('https://erosaints.neocities.org/images/banner.png');
  background-size: cover;
  background-position: top;
}

.header-inner {
  height: 80px;
  display: flex;
  position: relative;
}

.subheader {
  height: 15px;
  display: grid;
  grid-template-columns: 0.6fr 1.4fr;
  grid-column-gap: 5px;
  margin: 2px 0 2px 0;
}

.title {
  margin: auto 0 0;
  position: relative;
  top: -30px;
  
  font-family: "Nomaden";
  
  font-smooth: never;
  --webkit-font-smoothing: none;
  --moz-osx-font-smoothing: unset;
  
  font-synthesis-weight: none;
  font-size: 45px;
  color: var(--color-75);
}

.subtitle {
  display: flex;
  gap: 4px;
  align-items: center;
  justify-content: flex-end;
  height: 20px;
  position: relative;
  font-style: italic;
  font-size: 11px;
  color: var(--color-75);
}

.subtitle::before {
  content: "";
  flex-grow: 1;
  border-top: 1px solid var(--color-25);
}

.main {
  display: grid;
  grid-template-columns: 0.6fr 1.4fr;
  grid-column-gap: 12px;
}

.split {
  display: grid;
  grid-template-columns: repeat(2,1fr);
  grid-column-gap: 12px;
}

.aside,
.left,
.right {
  display: flex;
  flex-direction: column;
  margin-top: 0;
}

.expand {
  display: flex;
  flex-grow: 1;
  margin: 6px 0;
  background: url('https://erosaints.neocities.org/images/expand.png');
  background-size: cover;
  background-position: top;
}

.first {
  margin: 0 0 6px 0;
  padding: 10px 0 16px;
  background: var(--color-25);
  border: 1px dotted #000;
}

.content {
  margin: 6px 0;
  padding: 16px;
  text-align: center;
  background: var(--color-25);
  border: 1px dotted #000;
}

.recent {
}

.cafe {
  margin: 6px 0;
  padding: 16px;
  text-align: center;
  background: var(--color-35);
  border: 1px dotted #000;
}

.nav {
  padding-left: 12px;
  line-height: 1.4;
}

.line {
  height: 0px;
  border-bottom: 1px dotted var(--color-90);
  margin: 8px 10px;
}

.heading {
  padding-left: 12px;
  position: relative;
  bottom: -3px;
  color: var(--color-75);
  
  font-family: "Nomaden";
  
  font-smooth: never;
  -webkit-font-smoothing: none;
  -moz-osx-font-smoothing: unset;
  
  font-synthesis-weight: none;
  font-size: 17px;
  text-align: left;
}

.footer {
  display: flex;
  column-gap: 10px;
  margin-bottom: 8px;
  align-items: center;
}

.foot1 {
  display: flex;
  gap: 4px;
  align-items: center;
  color: var(--color-30);
}

.foot2 {
  display: flex;
  flex-grow: 1;
  gap: 4px;
  align-items: center;
  color: var(--color-30);
}

.foot2::before {
  content: "";
  flex-grow: 1;
  border-top: 1px solid var(--color-30);
}

.scroll {
  margin: 0;
  padding: 0;
  text-align: left;
  scrollbar-width: thin;
  scrollbar-color: var(--color-30) var(--color-25);
}

.list {
  list-style: none;
}

.list li {
  padding: 4px 2px 8px;
  margin: 2px 0 4px 0;
  line-height:1.4;
  border-bottom: 1px dotted var(--color-90);
}

.list li:last-child {
  border-bottom: none;
}

.tooltip {
  position: relative;
  text-decoration: underline dotted;
  text-underline-offset: .1rem;
}

.tooltiptext {
  visibility: hidden;
  background: #5D6373;
  border: 1px dotted var(--color-50);
  opacity: 0.95;
  color: #D0D8DB;
  text-align: center;
  padding: 10px;
  
  font-family: "Nomaden";
  
  font-smooth: never;
  -webkit-font-smoothing: none;
  -moz-osx-font-smoothing: unset;
  
  font-synthesis-weight: none;
  font-size: 11px;
  line-height: 1.2;

  position: absolute;
  transform: translate(-50%) translateY(calc(-100% + 1px));
  width: max-content;
  max-width: 12rem;
  overflow-wrap: break-word;
  z-index: 1;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
}

@media (max-width: 768px) {
  .main,
  .split  {
    grid-template-columns: 1fr;
  }
  
  .aside {
    grid-row-start:2;
  }
  
  .header {
    margin: 0 0 6px 0;
  }
  
  .title {
    top: -40px;
  }
  
  .subheader {
    height:6px;
  }
  
  .subtitle,
  .expand,
  .footer,
  .recent {
    display: none;
  }
  
  .header-inner {
    height: 50px;
  }
  
  .first {
    margin: 6px 0;
  }
}